enum PartnerType {
  CORPORATE
  EDUCATION
  HEALTHCARE
  SPORTS_ENTERTAINMENT
  GOVERNMENT
}

type Partner @table(name: "partner") {
  id: UUID! @default(expr: "uuidV4()")
  partnerName: String! 
  partnerNumber: String!
  partnerType: PartnerType # partner_type
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
